Delete an SNI on a gateway group
DELETE /apisix/admin/snis/{sni_id}
DELETE /apisix/admin/snis/{sni_id}Interactive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
sni_id*string
The unique identifier of the SNI object.
Match
^[a-zA-Z0-9-_.]+$Length
1 <= length <= 256Query Parameters
gateway_group_id*string
Gateway group ID. Optional when using the gateway group admin key to authenticate.
Length
1 <= lengthResponse Body
application/json
application/json
curl -X DELETE "$API_BASE_URL/apisix/admin/snis/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101?gateway_group_id=86fb9981-d9d2-4555-9df8-91ae92129335"Operation completed successfully with no response body.
""Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
DELETE /apisix/admin/snis/{sni_id}
Delete an SNI on a gateway group
Delete an SNI entry from the gateway group to remove its hostname-to- certificate mapping. Verify that traffic for those domains has a replacement SNI before deletion.
Required IAM Permission: Action gateway:DeleteSNI, Resource arn:api7:gateway:gatewaygroup/%s
Parameters
sni_id(path, string, required): The unique identifier of the SNI object.gateway_group_id(query, string, required): Gateway group ID. Optional when using the gateway group admin key to authenticate.
Responses
200: Operation completed successfully with no response body.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X DELETE '$API_BASE_URL/apisix/admin/snis/{sni_id}'